Subject: Re: bug#6127: 24.0.50; crash because of missing font for menus
From: Jan Djärv <[email-masked]>
To: Peter Dyballa <[email-masked]>
Cc: [email-masked]
Date: Sat, 08 May 2010 17:34:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Peter Dyballa skrev 2010-05-08 01.05:
>
> Am 07.05.2010 um 09:01 schrieb Jan Djärv:
>
>> I can't reproduce this. Does it work if you remove that X resource, or
>> if you put in a font that exists?
>
>
> The resource is deleted (the font is available), only
>
> Emacs.menu*borderColor: DeepSkyBlue
> Emacs.menu*borderWidth: 3
> Emacs.menu*shadowThickness: 3
> Emacs.menu.attributeBackground: lavender
> Emacs.menu.attributeForeground: DarkRed
> Emacs.pane.menubar.margin: 2
> Emacs.pane.menubar.shadowThickness: 3
>
> exist. GNU Emacs crashes every time, independent of GCC version or X11
> distribution or whether launched with -Q or not or as some other user.

I found a bug, please test it.  FWIW, I only get it with your resources and 
with an optimized Emacs build, and even then it only happens very seldom.  It 
is a race condition of sorts.

	Jan D.